Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1487236 (CVE-2017-12982) - CVE-2017-12982 openjpeg: Memory allocation failure in the opj_image_create function
Summary: CVE-2017-12982 openjpeg: Memory allocation failure in the opj_image_create fu...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-12982
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-31 13:28 UTC by Andrej Nemec
Modified: 2019-09-29 14:19 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:23:22 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-08-31 13:28:52 UTC
The bmp_read_info_header function in bin/jp2/convertbmp.c in OpenJPEG
2.2.0 does not reject headers with a zero biBitCount, which allows
remote attackers to cause a denial of service (memory allocation
failure) in the opj_image_create function in lib/openjp2/image.c,
related to the opj_aligned_alloc_n function in opj_malloc.c.

Upstream issue:

https://github.com/uclouvain/openjpeg/issues/983

Upstream patch:

https://github.com/uclouvain/openjpeg/commit/baf0c1ad4572daa89caa3b12985bdd93530f0dd7


Note You need to log in before you can comment on or make changes to this bug.